• Vastliggende pagina
  • Info
  • Bijlages

Canon PIXMA iP1800

Dit artikel beschrijft de installatie van het Linux-stuurprogramma voor de Canon PIXMA iP1800 in Ubuntu en -varianten. U hebt kennis nodig van software installeren onder Ubuntu en ook van het werken met de terminal.
De printer Canon PIXMA iP1800 werkt niet standaard onder Ubuntu vanwege het ontbreken van het benodigde stuurprogramma. Op de website van Canon kunt u dit stuurprogramma vinden (de downloadknop staat helemaal onderaan), maar is het niet te downloaden in het Ubuntu-pakketformaat .deb. U kunt het gedownloade .rpm-bestand gemakkelijk omzetten naar een .deb-bestand met de toepassing Alien. Voert u hiervoor de volgende stappen uit:
  • Installeer het pakket alien via uw pakketbeheerder

  • Voer het volgende uit in een terminalvenster:

sudo alien -c /pad/naar/bestand.rpm
  • Het pakket wordt nu omgezet naar een .deb-pakket dat in de huidige map wordt gezet (typ pwd om hier achter te komen).

Installatie

Installeer het zojuist aangemaakte pakket nu volgens de voor uw Ubuntu-variant geldende methode. In Ubuntu, Kubuntu en Xubuntu kan dat eenvoudigweg door op het pakket te dubbelklikken. Een pakketinstallatie hoort dan te beginnen. Klik op Pakket installeren om de installatie te starten. Voer uw wachtwoord in als daarom gevraagd wordt.


attachment:canon-pixma-ip1800-1.png

attachment:canon-pixma-ip1800-2.png

Het pakket met daarin het stuurprogramma (Ubuntu 9.04)

De pakketinstallatie is voltooid (Ubuntu 9.04)

Krijgt u een melding dat uw hardware-architectuur niet ondersteund wordt, of gebruikt u Ubuntu Server Edition? Ga dan naar de sectie Opmerkingen om meer hierover te lezen.


Na de installatie hoort het stuurprogramma bekend te staan onder het merk Canon als Canon iP1800 series Ver.2.70 (en). U kunt uw printer nu op de gangbare methode installeren. In Ubuntu kan dat via Systeem → Beheer → Afdrukken. Raadpleeg voor meer informatie hierover de documentatie van uw Ubuntu-variant, bijvoorbeeld dit artikel.


attachment:canon-pixma-ip1800-3.png

Het stuurprogramma is beschikbaar voor gebruik (Ubuntu 9.04)


Hulpprogramma's werkend maken

Het stuurprogramma komt met een set hulpprogramma's waarmee u uw printer kunt beheren. Hieronder vallen o.a. een controlepaneel en een statusmonitor.


Echter, Canon heeft dit geprogrammeerd met behulp van verouderde Linux-software die moeilijk werkend is te krijgen. Om het controlepaneel (/usr/local/bin/printuiip1800) en de statusmonitor (/usr/local/bin/cngpijmonip1800) werkend te krijgen, moet u de volgende software installeren:

  • Het pakket libgtk-1.2 via uw pakketbeheerder

  • Het pakket libxml1 via uw pakketbeheerder. Let op, als uw Ubuntu-versie nieuwer is dan 8.04.x, is libxml1 niet te vinden in de softwarebronnen. Ga naar deze pagina om het alsnog handmatig te downloaden en te installeren. Kies op die pagina voor een 32-bits (i386)-pakket of voor een 64-bits (amd64)-pakket. Vervolgens kiest u een downloadlocatie (de Nederlandse server is prima). Na de download kunt u het pakket installeren.

Beide programma's horen nu te werken en zijn uit te voeren door hun pad in een terminal-venster te typen en op enter te drukken. Dit kan in Ubuntu, Kubuntu en Xubuntu ook via het dialoogvenster dat verschijnt na het indrukken van Alt+F2. Opmerking: deze twee programma's werken niet op Ubuntu Server Edition wegens het ontbreken van de grafische omgeving.


attachment:canon-pixma-ip1800-4.png

attachment:canon-pixma-ip1800-5.png

Het controlepaneel printuiip1800

De statusmonitor cngpijmonip1800


Opmerkingen

  • Het stuurprogramma zoals in dit artikel is te downloaden is succesvol geïnstalleerd op een computer met Ubuntu 9.04 i386 (32-bits). Het is mogelijk dat het niet installeerbaar/bruikbaar is op een computer met een oudere versie of 64-bits-versie van Ubuntu. In het geval van een 64-bits Ubuntu kunt u de installatie proberen te forceren door het volgende commando in een terminal-venster uit te voeren: (aanbevolen methode: kopiëren/plakken)

sudo dpkg -i --force-architecture /pad/naar/installatiebestand.deb
  • Ook in het geval van Ubuntu Server Edition, dat geen grafische omgeving kent om pakketten te installeren, moet u het pakket installeren met het bovenstaande commando. U kunt --force-architecture weglaten als uw Ubuntu Server Edition 32-bits is.

  • Het stuurprogramma zelf is door de auteur van dit artikel niet getest; mogelijk werkt het stuurprogramma dus niet naar behoren. Indien dit zo is, verzoek ik u vriendelijk om dit aan de auteur te melden via een e-mail, op het documentatiegedeelte van het forum of in dit artikel.



Referenties


CategoryHardware

community/CanoniP1800 (laatst bewerkt op 2010-11-22 20:05:15 door PetervanderWaal)